Name: libpng
Version: 1.2.13
Release: alt3

Summary: A library of functions for manipulating PNG image format files
License: OSI certified
Group: System/Libraries
Url: http://www.libpng.org/pub/png/libpng.html
Packager: Dmitry V. Levin <ldv@altlinux.org>

# ftp://swrinde.nde.swri.edu/pub/png/src
Source: http://prdownloads.sourceforge.net/libpng/libpng-%version.tar
Patch1: libpng-%version-%release.patch
Patch2: libpng-1.2.13-deb-4.patch
Patch3: libpng-1.2.10-rh-pngconf.patch
Patch4: libpng-1.2.16-up-png_handle_tRNS.patch

Provides: libpng = %version-%release
Obsoletes: libpng < %version-%release
PreReq: coreutils

# Automatically added by buildreq on Thu Oct 03 2002
BuildRequires: zlib-devel

%package -n libpng12
Summary: PNG runtime library
Group: System/Libraries
Provides: libpng = %version-%release
Conflicts: libpng3 < 1.2.13-alt1

%package -n libpng3
Summary: PNG runtime library
Group: System/Libraries
Requires: libpng12 = %version-%release
Provides: libpng = %version-%release

%package devel
Summary: PNG development library
Group: Development/C
Requires: libpng12 = %version-%release, zlib-devel
Provides: libpng3-devel = %version-%release
Obsoletes: libpng3-devel < %version-%release
Conflicts: libpng2-devel

%package devel-static
Summary: PNG static library
Group: Development/C
Requires: %name-devel = %version-%release, zlib-devel-static
Provides: libpng3-devel-static = %version-%release
Obsoletes: libpng3-devel-static < %version-%release
Conflicts: libpng2-devel-static

%description
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

%description -n libpng12
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

This package contains the runtime library files needed to run software
using libpng.

%description -n libpng3
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

This package is superseded by libpng12, and is provided only for
transitional purposes.

%description devel
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

This package contains the header and development files needed to build
programs and packages using libpng.

%description devel-static
This package contains static library necessary for developing statically
linked programs using the PNG (Portable Network Graphics) library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%make_build

%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build -k check}}}

%install
%makeinstall
rm %buildroot%_libdir/lib*.la

%define docdir %_docdir/libpng-%version
rm -rf %buildroot%docdir
mkdir -p %buildroot%docdir
install -p -m644 CHANGES KNOWNBUG LICENSE README TODO example.c *.txt \
	%buildroot%docdir/
bzip2 -9 %buildroot%docdir/*.txt %buildroot%docdir/CHANGES

%post -n libpng12 -p %post_ldconfig
%postun -n libpng12 -p %postun_ldconfig

%post -n libpng3 -p %post_ldconfig
%postun -n libpng3 -p %postun_ldconfig

%files -n libpng12
%_libdir/libpng12.so.*
%_man5dir/*

%files -n libpng3
%_libdir/libpng.so.*

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*.pc
%_man3dir/*
%docdir

%files devel-static
%_libdir/*.a

%changelog
* Wed May 16 2007 Dmitry V. Levin <ldv@altlinux.org> 1.2.13-alt3
- Imported upstream fix for png_handle_tRNS() bug (CVE-2007-2445:
  a grayscale PNG image with a malformed tRNS chunk may crash
  some libpng applications).

* Fri Dec 01 2006 Dmitry V. Levin <ldv@altlinux.org> 1.2.13-alt2
- libpng12: Added conflict with old libpng3 (#10341).

* Fri Nov 24 2006 Dmitry V. Levin <ldv@altlinux.org> 1.2.13-alt1
- Updated to 1.2.13 release.
- Imported FC patch for pngconf.h to disable asm code
  on non-x86 architectures (RH#196580).
- Imported Debian patch from 1.2.13-4 package.
- Moved libpng12 library to separate subpackage.
- Removed "3" suffix from -devel* subpackages.
- Switched to upstream versioning (introduced in 1.2.9) with minimal changes.
  As result, libpng12.so.0 no longer provides PNG_INTERNAL interface,
  and PNG_12 interface was changed: 22 old data names removed,
  8 old function names removed, 8 new function names added.

* Mon Mar 06 2006 Dmitry V. Levin <ldv@altlinux.org> 1.2.8-alt3
- Fixed build with --as-needed.

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.8-alt2.1
- Rebuilt for new pkg-config dependencies.

* Tue Dec 07 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.8-alt2
- Updated interpackage dependencies.
- Updated patch.

* Mon Dec 06 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.8-alt1
- Updated to 1.2.8 release.
- Fixed libpng.pc (#5632).
- Updated interpackage dependencies.

* Thu Nov 04 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.8-alt0.1
- Updated to 1.2.8beta3.

* Mon Sep 13 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.7-alt1
- Updated to 1.2.7.

* Tue Sep 07 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.6-alt2
- Applied pngwutil bugfix from upstream.

* Wed Sep 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.6-alt1
- Updated to 1.2.6.
- Added multilib support (#5094).

* Mon Aug 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt5
- Applied patch from upstream maintainer,
  to fix CAN-2004-0597, CAN-2004-0598 and CAN-2004-0599.

* Wed Jun 30 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt4
- Updated patch for the buffer overflow in
  png_do_read_filler() function (CAN-2002-1363).

* Tue May 04 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt3
- Changed shared library:
  + introduced versioning;
  + export legacy symbols on PNG_INTERNAL interface;
  + export normal symbols on PNG_12 interface.

* Sat May 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt2
- Applied patch to pngerror.c by Steve Grubb to fix unintended
  memory access that could result in a crash of the application
  linking against libpng [CAN-2004-0421].
- Changed shared library: restricted list of exported symbols
  to those which are mentioned in png.h and libpng(3).

* Mon Feb 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.5-alt1
- Updated to 1.2.5

* Tue Jan 14 2003 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt5
- Applied patch to pngrtran.c by Glenn Randers-Pehrson to fix
  a buffer overrun.

* Thu Oct 03 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt4
- Cleanup %%build.
- Rebuilt to fix config files in devel subpackage.

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.4-alt3
- rebuild with gcc3

* Tue Aug 06 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt2
- Refined trigger once more.

* Sat Jul 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.4-alt1
- 1.2.4

* Sat Jun 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt3
- Fixed latest fix.

* Fri May 24 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt2
- Fixed libpng.so.3 upgrade problem.

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt1
- 1.2.3

* Thu Feb 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.2.1-alt2
- Renamed to libpng3.
- Added buildreq substitution rules.

* Fri Dec 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.2.1-alt1
- 1.2.1

* Fri Oct 26 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt2
- Prevented libpng.so.3 from being installed in man3dir.

* Wed Oct 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.12-alt1
- 1.0.12
- Updated requires on zlib-*.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.11-alt1
- 1.0.11

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.10-alt1
- 1.0.10
- Moved static libraries to devel-static subpackage.

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.9-ipl1mdk
- 1.0.9

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.8-ipl2mdk
- Fixed Url.
- Specfile cleanup (since we have brp-adjust_libraries).

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.8-ipl1mdk
- 1.0.8

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.7-ipl1mdk
- 1.0.7
- RE and Fandra adaptions.

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- Patch 1.0.6a(official)
- Patch 1.0.6b(official)
- Patch 1.0.6c(official)
- Updated mdkconf patch(some parts was obsoletes)

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.5-3mdk
- fix *ugly* install of man pages
- add soname

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.5-2mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.5
- redo patch with perl (yay perl)
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- libpng.so.2.1.0.3 is not a man pages lets not put it in usr/man/man3

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
